Subject: [ippm] Continue discussion draft-mirsky-ippm-time-format-01

From: Gregory Mirsky <[email-masked]>
Date: Wed, 2 Dec 2015 19:11:18 +0000

Dear All,
I wanted to thank Kostas, Al and Brian for their questions, comments at the presentation in Yokohama. The discussion suggests that this work is of interest to the IPPM WG. As Brian suggested, let's continue the discussion on the mailing list.
I believe that we've discussed backward compatibility of the proposed TWAMP extension and Al and Brian asked for clarifications on scenario when TWAMP test cannot be conducted between supporting and non-supporting this extension NEs. Indeed, there's such case. When Session-Reflector supports this extension and uses only 1588 timestamp format while Session-Sender does not support the extension Server will close the TCP connection with the Control-Client (as displayed on slide 5 of the presentation slide-deck). In case if a Session-Reflector does not support the extension and the Session-Sender does, the TWAMP session can proceed as Session-Sender would be able to interpret both timestamp formats as noted in the slide 3 (MUST be capable to INTERPRET NTP and PTPv2 time stamp formats).
Hope I've captured questions that have been asked in Yokohama.
Always welcome comments and questions. Looking forward to hear from Al and Brian whether I've answered their questions. Authors greatly appreciate your interest in this work and looking forward to bring it to WG adoption call soon.

                Regards,
                                Greg